#
# spec file for package perl-IO-Interface
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-Interface
Version:        1.09
Release:        2.43
%define cpan_name IO-Interface
Summary:        Perl extension for access to network card configuration information
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-Interface/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.420000
%{perl_requires}

%description
IO::Interface adds methods to IO::Socket objects that allows them to be
used to retrieve and change information about the network interfaces on
your system. In addition to the object-oriented access methods, you can use
a function-oriented style.

THIS API IS DEPRECATED. Please see IO::Interface::Simple for the preferred
way to get and set interface configuration information.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="%{optflags}"
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README.md

%changelog
* Wed Nov 25 2015 coolo@suse.com
- regenerate to fix Module::Build dep on leap
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-IO-Interface/Changes
  1.09    Tue Dec  9 11:22:56 EST 2014
  - Converted to use Module::Build
  1.08    Mon Dec  8 10:38:42 EST 2014
  - First Git version
  - Apply segfault patches for OpenBSD from Mikolaj Kucharski.
  1.07    Sun Jun  8 21:29:58 EDT 2014
  - Apply patch from Miolaj Kucharski to fix segfault on OpenBSD.
* Tue Nov 27 2012 crrodriguez@opensuse.org
- Skip tests in qemu arm, flaky emulator
* Tue Nov 29 2011 coolo@suse.com
- update to 1.06
    Address test 5 failure on systems with aliases on loopback.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr  4 2010 chris@computersalat.de
- initial package 1.05
